Advertisement.

Comments

  1. Bah. They’re just trying to get you to sign up while they still have the very popular and easy-to-use Queen Elizabeth 2.0 version in service. The upcoming Charles 3.0 has proven very buggy in beta testing, and the DIANA module that was its only really redeeming feature has been jettisonned in favor of the poorly-designed CAMILLA service package.

    Most potential customers are hoping the manufacturer will junk the Charles 3.0 upgrade entirely and skip to the William 4.0 upgrade, but that’s still in Alpha testing phase, and even then it’s not clear yet if the integration with the KATHERINE service package will go smoothly. But even if that fails catastrophically, it would still be better to grimly hang on with Queen Elizabeth 2.0 a while longer and hold out for the very-experiemental Harry 6.0, unknown quantity that it may be, rather than upgrade to the known disaster which is Charles 3.0, with all its problems.

  2. Daniel Allen says:

    Perhaps there is a monarchy program we can join to test the beta version of these software?

  3. Caren says:

    I think I prefer an open-source monarchy.

  4. Jared says:

    This would be perfect for the Principality of Sealand. I know that Roy Bates’ one regret is that Britain is no longer sovereign over HM Fort Roughs.

Leave a Reply to Martin The Mess Cancel reply

Your email address will not be published.